# I3DShWireFrame Struct Reference
[Shell Interfaces]

Inheritance diagram for I3DShWireFrame:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | AllocateFMesh (int32 numFacets, int32 numVertices, int32 facetStreamSize)=0
virtual MCCOMErr MCCOMAPI | GetFMesh (FacetMesh **aMesh)=0
virtual MCCOMErr MCCOMAPI | AllocateWireFrame (int16 numPoints, int16 numConnections)=0
virtual MCCOMErr MCCOMAPI | GetWireFrame (WFData &aWireFrame)=0
virtual MCCOMErr MCCOMAPI | Connect (int16 point, int16 from, int16 to)=0
virtual MCCOMErr MCCOMAPI | SetPoint (int16 point, EWFHandleType type, const TVector3 &loc)=0
virtual void MCCOMAPI | Transform (const TTreeProjectionTransform &trans)=0
virtual short MCCOMAPI | TestHit (const TVector2 &point, boolean selectBehindCamera, real error)=0
virtual void MCCOMAPI | AddRenderables (TMCPtrArray< I3DShRenderable > &renderables)=0
virtual TMCColorRGB MCCOMAPI | GetColor ()=0
virtual void MCCOMAPI | SetColor (const TMCColorRGB &color)=0
virtual MCCOMErr MCCOMAPI | ExcludeFromZBuffer (boolean excludeLines, boolean excludePoints)=0
virtual void MCCOMAPI | SetSelectedState (const boolean selected)=0
virtual MCCOMErr MCCOMAPI | ExcludeFromProjection (boolean exclude)=0
virtual boolean MCCOMAPI | IsExcludedFromZBuffer ()=0

## Detailed Description

Deprecated:
  Note: this interface has been depreacted. DO NOT create new code with it, use I3DExWireFrameSet instead and update the old code whenever you can

## Member Function Documentation

virtual void MCCOMAPI I3DShWireFrame::AddRenderables | ( | TMCPtrArray< I3DShRenderable > & | renderables | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShWireFrame::AllocateFMesh | ( | int32 | numFacets,
|  | int32 | numVertices,
|  | int32 | facetStreamSize |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShWireFrame::AllocateWireFrame | ( | int16 | numPoints,
|  | int16 | numConnections |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShWireFrame::Connect | ( | int16 | point,
|  | int16 | from,
|  | int16 | to |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShWireFrame::ExcludeFromProjection | ( | boolean | exclude | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShWireFrame::ExcludeFromZBuffer | ( | boolean | excludeLines,
|  | boolean | excludePoints |
| ) |  |  | `[pure virtual]`

virtual TMCColorRGB MCCOMAPI I3DShWireFrame::GetColor | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShWireFrame::GetFMesh | ( | FacetMesh ** | aMesh | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShWireFrame::GetWireFrame | ( | WFData & | aWireFrame | ) | `[pure virtual]`

virtual boolean MCCOMAPI I3DShWireFrame::IsExcludedFromZBuffer | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DShWireFrame::SetColor | ( | const TMCColorRGB & | color | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShWireFrame::SetPoint | ( | int16 | point,
|  | EWFHandleType | type,
|  | const TVector3 & | loc |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DShWireFrame::SetSelectedState | ( | const boolean | selected | ) | `[pure virtual]`

virtual short MCCOMAPI I3DShWireFrame::TestHit | ( | const TVector2 & | point,
|  | boolean | selectBehindCamera,
|  | real | error |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DShWireFrame::Transform | ( | const TTreeProjectionTransform & | trans | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3dWireFrame.h